package net.wanji.opt.controllerv2;

import com.alibaba.fastjson.JSONObject;
import io.swagger.annotations.*;
import lombok.extern.slf4j.Slf4j;
import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.opt.po.base.EventStatisticPo;
import net.wanji.opt.servicev2.TrendServiceV2;
import net.wanji.opt.servicev2.TrunkLineStatusDisService;
import net.wanji.opt.vo2.*;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import javax.ws.rs.core.MediaType;
import java.util.*;
import java.util.stream.Collectors;

/**
 * @author zhengyifan
 * @date 2025/3/14
 */
@Api(value = "TrunkLineController", description = "监测详情-干线")
@RequestMapping("/trunkLine")
@RestController
@Slf4j
public class TrunkLineController {
    @Resource
    private TrunkLineStatusDisService trunkLineStatusDisService;

    @GetMapping("/statusDisInfoList")
    @ApiOperation(httpMethod="GET",value="干线数据", notes="")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "greenID", value = "干线ID", required = true, dataType = "String",defaultValue = ""),
            @ApiImplicitParam(name = "date", value = "日期", required = true, dataType = "String",defaultValue = ""),
            @ApiImplicitParam(name = "timeGranule", value = "时间颗粒度", required = true, dataType = "String",defaultValue = ""),

    })
    @ApiResponses({
            @ApiResponse(code = 200, message = "成功", response = EventStatisticPo.class,
                    responseHeaders = {@ResponseHeader(name = "Content-Type", description = "application/json")})
    })
    public JsonViewObject statusDisInfoList(String greenID, String date, String timeGranule) {


        try {
            JsonViewObject object = JsonViewObject.newInstance();
            JSONObject list = trunkLineStatusDisService.trunkLineStatusDisInfoList(greenID, date, timeGranule);
            return object.success(list);
        } catch (Exception e) {
            log.error("监测详情-干线事件详情-干线交通状态分布趋势: ", e);
            return JsonViewObject.newInstance().fail("请求失败");
        }
    }
}
